<?php


namespace Drupal\blog_commerce\Plugin\Commerce\CheckoutPane;


use Drupal\commerce_checkout\Annotation\CommerceCheckoutPane;
use Drupal\commerce_checkout\Plugin\Commerce\CheckoutPane\CheckoutPaneBase;
use Drupal\Core\Form\FormStateInterface;
/**
 * Provides the completion message pane.
 *
 * @CommerceCheckoutPane(
 *   id = "note_order",
 *   label = @Translation("Note order"),
 *   default_step = "order_information",
 *
 * )
 */
class NoteOrder extends CheckoutPaneBase {

  public function buildPaneForm(array $pane_form, FormStateInterface $form_state, array &$complete_form) {

    $pane_form['note'] = [
      '#type' => 'textarea',
      '#title' => $this->t('Note order'),
      '#default_value' => $this->order->get('field_note')->value
    ];
    return $pane_form;
  }

  public function submitPaneForm(array &$pane_form, FormStateInterface $form_state, array &$complete_form) {
    parent::submitPaneForm($pane_form, $form_state, $complete_form); // TODO: Change the autogenerated stub

    $values = $form_state->getValue($pane_form['#parents']);
    if($this->order->hasField('field_note')){
      $this->order->set('field_note', $values['note']);
    }
  }

  public function buildPaneSummary() {
    return [
      '#plain_text' => $this->order->get('field_note')->value
    ];
  }


}
